Bug 524466

Summary: setroubleshoot: SELinux is preventing /bin/mount "module_request" access.
Product: [Fedora] Fedora Reporter: Fredrik Duprez <ogre>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bleumas5, cpoultney, dwalsh, flavioalejandroe.s.t.21, hlk.dogan, idht4n, isada0, jkubin, mcepl, mcepl, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:06ec62c6c8543c478ead4e3e22caed20c6dfb10ce2bf21a1517748a69c188aa8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-21 12:30:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Fredrik Duprez 2009-09-20 15:28:32 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /bin/mount "module_request" access.

Detailed Description:

SELinux denied access requested by mount. It is not expected that this access is
required by mount and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:mount_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                None [ system ]
Source                        mount
Source Path                   /bin/mount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           util-linux-ng-2.16-10.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-6.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-33.fc12.i686 #1 SMP Thu Sep
                              17 15:56:11 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Sun 20 Sep 2009 05:27:21 PM CEST
Last Seen                     Sun 20 Sep 2009 05:27:21 PM CEST
Local ID                      b0abf5ca-025c-4bca-975c-babbc1b74dba
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253460441.704:21): avc:  denied  { module_request } for  pid=2128 comm="mount" scontext=system_u:system_r:mount_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=system

node=(removed) type=SYSCALL msg=audit(1253460441.704:21): arch=40000003 syscall=21 success=no exit=-22 a0=bc4218 a1=bc4228 a2=bc4248 a3=c0ed0007 items=0 ppid=1920 pid=2128 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mount" exe="/bin/mount" subj=system_u:system_r:mount_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= mount_t ==============
allow mount_t kernel_t:system module_request;

Comment 1 Daniel Walsh 2009-09-21 12:30:09 UTC
Fixed in selinux-policy-3.6.32-8.fc12.noarch